package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF648 extends MwfRequest<MWF648, MWF648Response> {

    @Parameter(name = "CHANNEL_ID")
    MWF648 channelId(String channelId);
    @Parameter(name = "CLIENT_TYPE")
    MWF648 clientType(String clientType);
    @Parameter(name = "CONTRACT_ID")
    MWF648 contractId(String contractId);
    @Parameter(name = "CONTRACT_SYSTEM")
    MWF648 contractSystem(String contractSystem);
    @Parameter(name = "ICO")
    MWF648 ico(String ico);
    @Parameter(name = "NAME")
    MWF648 name(String name);
    @Parameter(name = "NAS_API_CONF_ID")
    MWF648 nasApiConfId(Long nasApiConfId);
    @Parameter(name = "NAS_FLOW_ID")
    MWF648 nasFlowId(String nasFlowId);
    @Parameter(name = "ONLINE_CHECK")
    MWF648 onlineCheck(Long onlineCheck);
    @Parameter(name = "POS_ID")
    MWF648 posId(String posId);
    @Parameter(name = "PURPOSE")
    MWF648 purpose(String purpose);
    @Parameter(name = "RC")
    MWF648 rc(String rc);
    @Parameter(name = "SURNAME")
    MWF648 surname(String surname);
}
